> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all agents

> List all agents with cursor-based pagination



## OpenAPI

````yaml get /api/v1/agents
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agents:
    get:
      tags:
        - Agents
      summary: List all agents
      description: List all agents with cursor-based pagination
      parameters:
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            default: '10'
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: List of agents retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  agents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        agentType:
                          type: string
                          enum:
                            - CALL
                            - TEXT
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        smsPhoneNumbers:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              phoneNumber:
                                type: string
                              ownership:
                                type: string
                                nullable: true
                                enum:
                                  - FEATHER
                                  - CLIENT
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                              - phoneNumber
                              - ownership
                              - createdAt
                              - updatedAt
                        inboundPhoneNumbers:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              phoneNumber:
                                type: string
                              ownership:
                                type: string
                                nullable: true
                                enum:
                                  - FEATHER
                                  - CLIENT
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                              - phoneNumber
                              - ownership
                              - createdAt
                              - updatedAt
                        outboundPhoneNumbers:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              phoneNumber:
                                type: string
                              ownership:
                                type: string
                                nullable: true
                                enum:
                                  - FEATHER
                                  - CLIENT
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                              - phoneNumber
                              - ownership
                              - createdAt
                              - updatedAt
                        callObservabilityEnabled:
                          type: boolean
                          default: false
                      required:
                        - id
                        - name
                        - description
                        - agentType
                        - createdAt
                        - updatedAt
                        - smsPhoneNumbers
                        - inboundPhoneNumbers
                        - outboundPhoneNumbers
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - agents
                  - pagination
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Agent not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````